Name:           libcacard
Version:        2.7.0
Release:        4
Epoch:          3
Summary:        Common Access Card(CAC) library
License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/spice/libcacard
Source0:        https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
Source1:        https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz.asc
Patch0:         libcacard-2.7.0-caching-keys.patch

BuildRequires:  gcc glib2-devel nss-devel softhsm opensc 
BuildRequires:  gnutls-utils nss-tools openssl gnupg2
Conflicts:      qemu-common < 2:2.5.0

%description
This package uses certificates read from NSS and separate pki containers to implement 
DoD CAC standard so that it can provide emulation of smart cards to a virtual card 
reader running in a guest virtual machine.

%package        devel
Summary:        Provide development files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
This package provides libraries and header files for the development of libcacard

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build

%install
%make_install

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/libcacard.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}/cacard/*.h
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%files help
%defattr(-,root,root)
%doc NEWS ChangeLog README.md

%changelog
* Wed Jun 09 2021 wangkerong <wangkerong@huawei.com> - 3:2.7.0-4
- delete the check 

* Wed Feb 5 2020 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: enable test cases

* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec

* Sat Oct 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-1
- Package init
